# EventHttpRequest::findHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::findHeader — Finds the value belonging a header

### Description

public EventHttpRequest::findHeader ( string `$key` , string `$type` ) : void

Finds the value belonging a header.

### Parameters

`key`

  The header name.

`type`

  One of EventHttpRequest::*_HEADER constants .

### Return Values

Returns `NULL` if header not found.

### See Also

- EventHttpRequest::addHeader() - Adds an HTTP header to the headers of the request